package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.stereotype.Component;

/**
 * 网站连通测试
 * 
 * @author admin
 *
 */
@Component
public class PingUrl implements Serializable {

	private static final long serialVersionUID = 6649286346021852166L;
	private String templateId;
	private String tempName;// 模板名
	private int pingInterval;// 连通性测试间隔
	private String pingUrlOne;// 网站1
	private String pingUrlTwo;// 网站2

	private String pt;// 渠道
	private boolean startNow;
	private Date nextRun;

	public String getTemplateId() {
		return templateId;
	}

	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}

	public String getTempName() {
		return tempName;
	}

	public void setTempName(String tempName) {
		this.tempName = tempName;
	}

	public int getPingInterval() {
		return pingInterval;
	}

	public void setPingInterval(int pingInterval) {
		this.pingInterval = pingInterval;
	}

	public String getPingUrlOne() {
		return pingUrlOne;
	}

	public void setPingUrlOne(String pingUrlOne) {
		this.pingUrlOne = pingUrlOne;
	}

	public String getPingUrlTwo() {
		return pingUrlTwo;
	}

	public void setPingUrlTwo(String pingUrlTwo) {
		this.pingUrlTwo = pingUrlTwo;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public boolean isStartNow() {
		return startNow;
	}

	public void setStartNow(boolean startNow) {
		this.startNow = startNow;
	}

	public Date getNextRun() {
		return nextRun;
	}

	public void setNextRun(Date nextRun) {
		this.nextRun = nextRun;
	}

	@Override
	public String toString() {
		return "PingUrl [templateId=" + templateId + ", tempName=" + tempName + ", pingInterval=" + pingInterval
				+ ", pingUrlOne=" + pingUrlOne + ", pingUrlTwo=" + pingUrlTwo + ", pt=" + pt + ", startNow=" + startNow
				+ ", nextRun=" + nextRun + "]";
	}

}
